Summary: A GTK front-end for gPhoto2
Name: gtkam
Version: 0.1.3
%define snapshot 20020225
%define release 2
Release: 0.cvs%{snapshot}.%{release}
License: GPL
Group: Applications/Multimedia

# Generated by:
# NOW=$(date '+%Y%m%d')
# cvs -d:pserver:anonymous@cvs.gphoto.sourceforge.net:/cvsroot/gphoto \
#   export -D $NOW gtkam
# tar cjf gtkam-cvs$NOW.tar.bz2 gtkam
Source: gtkam-cvs%{snapshot}.tar.bz2
Patch0: gtkam-gimp.patch
Patch1: gtkam-linguas.patch
Patch2: gtkam-gettext.patch
Patch3: gtkam-ranlib.patch
URL: http://www.gphoto.org/gphoto2
BuildRequires: 	gphoto2-devel gdk-pixbuf-devel gimp-devel
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The gtKam package provides a GTK-based front-end to gPhoto2.  Install
this package if you want to use a digital camera with Linux.

%package gimp
Summary: GIMP plug-in for digital camera access through gPhoto2
Requires: %{name} = %{version}
Requires: gimp >= 1.2
PreReq: fileutils gawk sh-utils /usr/bin/gimp-config
Group: Applications/Multimedia

%description gimp
A GIMP plug-in for direct digital camera access through gPhoto2.

%prep
rm -rf %{buildroot}
%setup -q -n gtkam
%patch0 -p1 -b .gimp
%patch1 -p1 -b .linguas
%patch2 -p1 -b .gettext
%patch3 -p1 -b .ranlib

%build
CFLAGS="$RPM_OPT_FLAGS" NOCONFIGURE=foo ./autogen.sh
automake m4/Makefile
aclocal -I m4 || :
# Work around buggy gettext
ln -s Makevars.template po/Makevars

%configure

[ -d intl ] && echo -e 'all:\ninstall:' >> intl/Makefile
make

%install
%makeinstall
%find_lang %{name}

# Desktop file
mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Graphics
cat << EOF > %{buildroot}%{_sysconfdir}/X11/applnk/Graphics/gtkam.desktop
[Desktop Entry]
Name=gtKam
Type=Application
Description=A digital camera viewer
Exec=gtkam
Icon=/usr/share/gtkam/pixmaps/camera.xpm
EOF
 
%post gimp
GIMPPLUGINDIR=`/usr/bin/gimp-config --gimpplugindir`
if [ -z "$GIMPPLUGINDIR" ]; then
  GIMPPLUGINDIR=/usr/lib/gimp/1.2
fi
RELPATH=`echo $GIMPPLUGINDIR | awk '
  BEGIN { FS="/"; i = 1} {while (i < NF) { printf("../"); i = i + 1} }'`
if [ ! -s $GIMPPLUGINDIR/plug-ins/gtkam ]; then
  ln -s $RELPATH/libexec/gtkam-gimp $GIMPPLUGINDIR/plug-ins/gtkam
fi

%postun gimp
if [ $1 = 0 ]; then
  rm -f /usr/lib/gimp/*/plug-ins/gtkam
fi

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README MANUAL
%{_sysconfdir}/X11/applnk/Graphics/gtkam.desktop
%{_bindir}/*
%{_datadir}/gtkam
%{_datadir}/images/gtkam

%files gimp
%defattr(-,root,root)
%{_libexecdir}/gtkam-gimp

%changelog
* Wed Mar  6 2002 Tim Waugh <twaugh@redhat.com> 0.1.3-0.cvs20020225.2
- The gimp subpackage requires /usr/bin/gimp-config in its %%post
  scriplet.

* Mon Feb 25 2002 Tim Waugh <twaugh@redhat.com> 0.1.3-0.cvs20020225.1
- Adapted for Red Hat Linux.  Tidied the spec file.
- Made a desktop entry.
- Fixed the gimp plug-in.

* Mon Jan 28 2002 Till Kamppeter <till@mandrakesoft.com> 0.1-10mdk
- Rebuilt for libusb 0.1.4.

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 0.1-9mdk
- Add %%defattr(-,root,root,-) for gtkam-gimp-plugin

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 0.1-8mdk
- Fix menu entry

* Tue Dec  4 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-7mdk
- Updated to the CVS snapshot from 04/12/2001.

* Sat Dec  1 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-6mdk
- Updated to the CVS of 01/12/2001.

* Fri Nov 30 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-5mdk
- Updated to the CVS of 30/11/2001.

* Mon Oct 08 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-4mdk
- BuildRequires: gettext-devel

* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-3mdk
- fixed BuildRequires
- Copyright --> License

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-2mdk
- Corrected the doc directory path again

* Mon Aug  6 2001 Till Kamppeter <till@mandrakesoft.com> 0.1-1mdk
- Moved to main
- Corrected the doc directory
- Added a menu entry
- Updated from CVS

* Mon Nov 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1-0.20001116mdk
- new in contribs
- macros
- used srpm from rufus t firefly <rufus.t.firefly@linux-mandrake.com>
   - v0.1-0.20001116mdk (initial packaging from CVS) 
